Test::Int::Arithmetic Namespace Reference

Tests for arithmetic constraints More...

## Classes

class | MultXYZ
| Test for multiplication constraint More...
class | MultXXY
| Test for multiplication constraint with shared variables More...
class | MultXYX
| Test for multiplication constraint with shared variables More...
class | MultXYY
| Test for multiplication constraint with shared variables More...
class | MultXXX
| Test for multiplication constraint with shared variables More...
class | SqrXY
| Test for squaring constraint More...
class | SqrXX
| Test for squaring constraint with shared variables More...
class | SqrtXY
| Test for square root constraint More...
class | SqrtXX
| Test for square root constraint with shared variables More...
class | PowXY
| Test for power constraint More...
class | PowXX
| Test for power constraint with shared variables More...
class | NrootXY
| Test for nroot constraint More...
class | NrootXX
| Test for nroot constraint with shared variables More...
class | DivMod
| Test for division/modulo constraint More...
class | Div
| Test for division constraint More...
class | Mod
| Test for modulo constraint More...
class | AbsXY
| Test for absolute value constraint More...
class | AbsXX
| Test for absolute value constraint with shared variables More...
class | MinXYZ
| Test for binary minimum constraint More...
class | MinXXY
| Test for binary minimum constraint with shared variables More...
class | MinXYX
| Test for binary minimum constraint with shared variables More...
class | MinXYY
| Test for binary minimum constraint with shared variables More...
class | MinXXX
| Test for binary minimum constraint with shared variables More...
class | MaxXYZ
| Test for binary maximum constraint More...
class | MaxXXY
| Test for binary maximum constraint with shared variables More...
class | MaxXYX
| Test for binary maximum constraint with shared variables More...
class | MaxXYY
| Test for binary maximum constraint with shared variables More...
class | MaxXXX
| Test for binary maximum constraint with shared variables More...
class | MinNary
| Test for n-ary minimmum constraint More...
class | MinNaryShared
| Test for n-ary minimmum constraint with shared variables More...
class | MaxNary
| Test for n-ary maximum constraint More...
class | MaxNaryShared
| Test for n-ary maximum constraint with shared variables More...
class | ArgMax
| Test for argument maximum constraint More...
class | ArgMaxShared
| Test for argument maximum constraint with shared variables More...
class | ArgMin
| Test for argument minimum constraint More...
class | ArgMinShared
| Test for argument minimum constraint with shared variables More...
class | ArgMaxBool
| Test for Boolean argument maximum constraint More...
class | ArgMaxBoolShared
| Test for argument maximum constraint with shared variables More...
class | ArgMinBool
| Test for argument minimum constraint More...
class | ArgMinBoolShared
| Test for argument minimum constraint with shared variables More...
class | Create
| Help class to create and register tests. More...

## Functions

bool | powgr (int n, long long int r, int x)
int | fnroot (int n, int x)
bool | powle (int n, long long int r, int x)
int | cnroot (int n, int x)

## Variables

Create | c

## Detailed Description

Tests for arithmetic constraints

## Function Documentation

## powgr()

bool Test::Int::Arithmetic::powgr | ( | int | n,
|  | long long int | r,
|  | int | x )

Definition at line 285 of file arithmetic.cpp.

## fnroot()

int Test::Int::Arithmetic::fnroot | ( | int | n,
|  | int | x )

Definition at line 297 of file arithmetic.cpp.

## powle()

bool Test::Int::Arithmetic::powle | ( | int | n,
|  | long long int | r,
|  | int | x )

Definition at line 312 of file arithmetic.cpp.

## cnroot()

int Test::Int::Arithmetic::cnroot | ( | int | n,
|  | int | x )

Definition at line 325 of file arithmetic.cpp.

## Variable Documentation

## c

Create Test::Int::Arithmetic::c

Definition at line 1255 of file arithmetic.cpp.